Skip to navigation

Delete an org-level note

Delete a note for an organization.

Authentication

AuthorizationBearer

Personal API Key (apk_user_) or Service API Key (apk_)

Path parameters

note_idstringRequired

Knowledge note ID (prefix: note-)

org_idstringRequired

Response

Successful Response
access_typeenum

Scope of the note: org or enterprise.

Allowed values:
bodystring
Markdown body content of the note.
created_atinteger
ISO 8601 timestamp when the note was created.
folder_idstring or null
ID of the folder containing this note.
folder_pathstring
Full path of the folder containing this note.
is_enabledboolean
Whether the note is active and will be injected into sessions.
macrostring or null
Shortcut macro for quick reference.
namestring
Display name of the knowledge note.
note_idstring

Unique identifier for the knowledge note (prefix note-).

org_idstring or null

Organization that owns this note (prefix org-).

pinned_repostring or null
Repository this note is pinned to, if any.
triggerstring
Describes when this note is automatically injected into sessions.
updated_atinteger
ISO 8601 timestamp of the last update.

Errors

422
Unprocessable Entity Error